[![Build Status](https://travis-ci.org/rrandall91/foureyes-ruby.svg?branch=master)](https://travis-ci.org/rrandall91/foureyes-ruby)
[![Maintainability](https://api.codeclimate.com/v1/badges/dd15fc5e8a09df3309b4/maintainability)](https://codeclimate.com/repos/5b439c76eba5b7023f000cdb/maintainability)
[![Test Coverage](https://api.codeclimate.com/v1/badges/dd15fc5e8a09df3309b4/test_coverage)](https://codeclimate.com/repos/5b439c76eba5b7023f000cdb/test_coverage)

# Foureyes

The Foureyes Ruby Library is an GraphQL API client for the Foureyes API.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'foureyes'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install foureyes

## Usage

The library needs to be configured with your account's API key. Set `Foureyes.api_key` to its value:

``` ruby
require "foureyes"
Foureyes.api_key = "..."

# list accounts
Foureyes::Account.list

# retrieve single account
Foureyes::Account.retrieve(ID)
```

## Development

TODO

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/rrandall91/foureyes.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
