
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "foureyes/version"

Gem::Specification.new do |spec|
  spec.name          = "foureyes"
  spec.version       = Foureyes::VERSION
  spec.authors       = ["Rashaad R. Randall"]
  spec.email         = ["rrandall@poweredbyvivid.com"]

  spec.summary       = %q{FourEyes Ruby Client}
  spec.description   = %q{A GraphQL client for the FourEyes API}
  spec.homepage      = "https://github.com/rrandall91/foureyes-ruby"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.required_ruby_version = ">= 2.3.4"

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "guard-rspec", "~> 4.7"
  spec.add_development_dependency "simplecov", "~> 0.16"

  spec.add_dependency "graphql-client", "~> 0.12"
end
